Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | List of all members
ClarisWksPresentationInternal::SubDocument Class Reference

Internal: the subdocument of a ClarisWksPresentation. More...

Inheritance diagram for ClarisWksPresentationInternal::SubDocument:

## Public Member Functions
| SubDocument (ClarisWksPresentation &pars, MWAWInputStreamPtr input, int zoneId)
virtual | ~SubDocument ()
| destructor More...
virtual bool | operator!= (MWAWSubDocument const &doc) const
| operator!= More...
virtual bool | operator== (MWAWSubDocument const &doc) const
| operator!== More...
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type)
| the parser function More...
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input More...
| MWAWSubDocument (MWAWSubDocument const &doc)
| copy constructor More...
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)
| copy operator More...
virtual | ~MWAWSubDocument ()
| virtual destructor More...
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator== More...

## Public Attributes
ClarisWksPresentation * | m_presentationParser
| the presentation parser More...

## Protected Attributes
int | m_id
| the subdocument id More...
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser More...
shared_ptr< MWAWInputStream > | m_input
| the input More...
MWAWEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &orig)
SubDocument & | operator= (SubDocument const &orig)

## Detailed Description

Internal: the subdocument of a ClarisWksPresentation.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

ClarisWksPresentationInternal::SubDocument::SubDocument | ( | ClarisWksPresentation & | pars,
|  | MWAWInputStreamPtr | input,
|  | int | zoneId
| ) |  |
| inline

## ◆ ~SubDocument()

virtual ClarisWksPresentationInternal::SubDocument::~SubDocument | ( |  | ) |
| inline virtual

destructor

## ◆ SubDocument() [2/2]

ClarisWksPresentationInternal::SubDocument::SubDocument | ( | SubDocument const & | orig | ) |
| private

## Member Function Documentation

## ◆ operator!=()

virtual bool ClarisWksPresentationInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inline virtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument& ClarisWksPresentationInternal::SubDocument::operator= | ( | SubDocument const & | orig | ) |
| private

## ◆ operator==()

virtual bool ClarisWksPresentationInternal::SubDocument::operator== | ( | MWAWSubDocument const & | doc | ) | const
| inline virtual

operator!==

## ◆ parse()

void ClarisWksPresentationInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type
| ) |  |
| virtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_id

int ClarisWksPresentationInternal::SubDocument::m_id
| protected

the subdocument id

Referenced by operator!=().

## ◆ m_presentationParser

ClarisWksPresentation* ClarisWksPresentationInternal::SubDocument::m_presentationParser

the presentation parser

Referenced by operator!=().

The documentation for this class was generated from the following file:

- ClarisWksPresentation.cxx